# Get Ticket Contact - GetTicketContactListV2

## Overview

Get Ticket Contact






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetTicketContactListV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave blank for the default project, sub-accounts must fill in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ContactType** | int | Contact Type: 1 - Common contact information for creating a ticket 2 - Specific contact information for personnel entry |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ContactList** | array[[*TicketContact*](#ticketcontact)] | Contact Array |No|

#### Data Model


#### TicketContact

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Id** | string | The translation for 'id' in English remains 'id'. |No|
| **Flag** | int | Contact Type: 1 - Common contact information for creating a ticket 2 - Specific contact information for personnel entry |No|
| **CompanyId** | int | Company ID |No|
| **AccountId** | int | Account ID |No|
| **RegionId** | int | Region |No|
| **ZoneId** | int | Availability Zone |No|
| **Name** | string | Name |No|
| **Email** | string | Email |No|
| **Phone** | string | Telephone |No|
| **IdentityCard** | string | ID Number |No|
| **CompanyName** | string | Contact's Affiliated Company |No|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=GetTicketContactListV2
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=CVgilqKo
&ContactType=1
```

### Response Example
    
```json
{
  "Action": "GetTicketContactListV2Response",
  "ContactList": [
    {
      "AccountId": 7,
      "CompanyId": 2,
      "CompanyName": "eJskeYFD",
      "Email": "sdgiVRwo",
      "Id": "fQCZraOg",
      "IdentityCard": "hVlZiTzw",
      "Name": "iCPgfsxz",
      "Phone": "jNaHDqXl",
      "RegionId": 6,
      "ZoneId": 2
    }
  ],
  "RetCode": 0
}
```





